Subject: RE: cron will not execute commands
From: "Harig, Mark" <[email-masked]>
To: "steve" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 23 Mar 2004 18:04:11 -0500

Steve,

   Please send all replies to the Cygwin mailing list.
This will help because more people will be able to see
your problem and may be able to help to come up with a
solution.  Also, it may help other people reading and
searching this list if they have this problem or a
similar problem.

  From your cygcheck.txt:

Output from C:\cygwin\bin\id.exe (nontsec)
UID: 10500(Administrator) GID: 10545(mkgroup-l-d)
10545(mkgroup-l-d)

Output from C:\cygwin\bin\id.exe (ntsec)
UID: 10500(Administrator) GID: 10545(mkgroup-l-d)
544(Administrators)       545(Users)
10545(mkgroup-l-d)

1. You do not appear to have created a 'group'
entry for your account, as seen from your GID.
The text in parentheses, 'mkgroup-l-d', is a
short-hand for telling you to run the 'mkgroup'
utility with either the '-l' (local) or '-d'
option.  Type 'man mkgroup' for more details.

2. Your account appears to be the Administrator.
You likely want to create an account under your
user ID (type 'man mkpasswd' for details), and
then restart your bash session.

3. After setting up a personal account, you will
likely want to run 'ssh-user-config' to set up
your ~/.ssh directory with the appropriate files.

In short, it appears that cron is unrelated to
the problems that you are seeing.

> -----Original Message-----
> From: steve
> Sent: Monday, March 22, 2004 10:42 PM
> To: Harig, Mark
> Subject: RE: cron will not execute commands
> 
> 
> Mark:
> Thanks for the reply:)
> 
> I was able to get cron to output the date to date.txt in "tmp" and it
> created a file env.txt, but cron will not execute the rsync 
> command. It
> works from the command line, but not from cron. I have included
> "cygcheck.txt, crontab.txt, and messages.txt. Could you take 
> a look at this
> to see if you can help me solve my problem? I am trying to 
> have cron run an
> rsync command to copy the contents of "/BACKUPS" on 
> 10.10.10.9 after its
> nightly backup. Cgywin is running on 10.10.10.4, and 
> 10.10.10.9 is a RedHat
> box running RH-9.0.
> 
> Thanks in advance for you help.
> 
> Steve Nutt
> 
> 
> -----Original Message-----
> From: Harig, Mark
> Sent: Wednesday, March 10, 2004 7:45 AM
> To: steve; [email-masked]
> Subject: RE: cron will not execute commands
> 
> 
> 
> 1. Here is a more recent version of the diagnostic
>    script.  It has fixed several bugs.  Please
>    run it.
> 
> http://cygwin.com/ml/cygwin/2004-03/msg00379.html
> 
> 2. It's not clear from your message whether you
>    are having problems getting cron to run, or
>    whether you are having problems only with
>    the specific commands that you want run.
> 
>    Please try a simple crontab entry such as the
>    following to establish that cron is running:
> 
>    * * * * * /usr/bin/date >> /tmp/date.txt
> 
> 3. Verify that the environment that cron sees is
>    adequate for what your program needs:
> 
>    * * * * * /usr/bin/env > /tmp/env.txt
> >
> >
> > Hello:)
> >
> > To whom It may concern-
> >
> > I am trying to have cron execute a simple rsync command, but
> > have run across
> > substantial problems trying to make it work. I have "rtfm"
> > documentation -
> > user guide, FAQ, Google and mail archives when I came across this
> >
> > http://sources.redhat.com/ml/cygwin/2003-12/msg00711.html
> >
> > I have run the cron_diagnose.sh and followed the suggestion
> > done it twice so
> > now I am sending you this. By the way it works fine from the
> > command line. I
> > have also included the messages.txt from tail -f
> > /var/log/messages for this
> > crontab.
> >
> > Will someone respond to this?
> >
> > Need help.
> >
> > Thanks:
> > Steve Nutt
> >
> 
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/